API Reference
Stop a run
Gracefully stops a running or pending task run and marks it as completed.
POST /api/runs/{id}/stop
Gracefully stops a running or pending task run and marks it as completed.
Operation ID: stopRun
Authentication
Option 1
- BearerAuth (
http bearer) API key token. Create via POST /api/api-keys. Format:envoy_<hex>
Option 2
- CookieAuth (
apiKey) Session cookie set after login + TOTP verification
Path parameters
id—integer,requiredResource ID
Success responses
200
Run stopped
Content type: application/json
- Type:
object - Properties:
success(boolean)
Error responses
400
Run cannot be stopped
Content type: application/json
- Reference:
Error- Type:
object - Properties:
error(string)- Example:
NOT_FOUND
- Example:
message(string)- Example:
Resource not found
- Example:
- Type:
Examples
cURL
curl --request POST \
--url 'https://your-envoy.example.com/api/runs/YOUR_ID/stop' \
--header 'Authorization: Bearer $API_KEY'JavaScript (fetch)
const response = await fetch('https://your-envoy.example.com/api/runs/YOUR_ID/stop', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
},
});
if (!response.ok) throw new Error(`Request failed: ${response.status}`);
const data = response.status === 204 ? null : await response.json();
console.log(data);